MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028580Open CASCADE[OCCT] OCCT:Codingpublic2017-03-21 18:152017-09-29 16:25
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028580: Misprint in IntPatch_WLineTool.cxx file
DescriptionMisprint in static function

static IntPatchWT_WLsConnectionType
                    CheckArgumentsToExtend(...)


(see file IntPatch_WLineTool.cxx).

In many places constant index 0 is used for elements of theArrPeriods array. However, this index must match cycle variable (i).
Steps To ReproduceTest case is not required.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0064592)
msv (developer)
2017-03-21 18:21

Please make correction.
(0064593)
git (administrator)
2017-03-21 18:30

Branch CR28580 has been created by nbv.

SHA-1: 1a4c0071566d5a84ead7e81f16307a55b01caff4


Detailed log of new commits:

Author: nbv
Date: Tue Mar 21 18:30:03 2017 +0300

    0028580: Misprint in IntPatch_WLineTool.cxx file
    
    Code correction.
(0064594)
nbv (developer)
2017-03-21 18:31

Dear Mikhail,

Please review CR28580 branch.
(0064600)
msv (developer)
2017-03-22 09:16

Reviewed.
(0064643)
apv (tester)
2017-03-23 12:20

Dear BugMaster,

Branch CR28580 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1a4c0071566d5a84ead7e81f16307a55b01caff4

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1194

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93123768 / 92544610 [+0.63%]
Total CPU difference: 20490.25000000019 / 20187.16000000011 [+1.50%]

Testing on Windows:
Total MEMORY difference: 57781488 / 57782265 [-0.00%]
Total CPU difference: 18752.162605398615 / 18782.551600198512 [-0.16%]
(0065938)
git (administrator)
2017-05-12 11:36

Branch CR28580 has been deleted by kgv.

SHA-1: 1a4c0071566d5a84ead7e81f16307a55b01caff4

- Related Changesets
occt: master 2967828d
Timestamp: 2017-03-21 15:30:03
Author: nbv
Committer: bugmaster
Details ] Diff ]
0028580: Misprint in IntPatch_WLineTool.cxx file

Code correction.
mod - src/IntPatch/IntPatch_SpecialPoints.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_WLineTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-21 18:15 nbv New Issue
2017-03-21 18:15 nbv Assigned To => msv
2017-03-21 18:21 msv Note Added: 0064592
2017-03-21 18:21 msv Assigned To msv => nbv
2017-03-21 18:21 msv Status new => assigned
2017-03-21 18:30 git Note Added: 0064593
2017-03-21 18:31 nbv Note Added: 0064594
2017-03-21 18:31 nbv Assigned To nbv => msv
2017-03-21 18:31 nbv Status assigned => resolved
2017-03-22 09:16 msv Note Added: 0064600
2017-03-22 09:16 msv Assigned To msv => bugmaster
2017-03-22 09:16 msv Status resolved => reviewed
2017-03-22 12:26 apv Assigned To bugmaster => apv
2017-03-23 12:19 apv Test case number => Not needed
2017-03-23 12:20 apv Note Added: 0064643
2017-03-23 12:20 apv Assigned To apv => bugmaster
2017-03-23 12:20 apv Status reviewed => tested
2017-03-24 15:53 bugmaster Changeset attached => occt master 2967828d
2017-03-24 15:53 bugmaster Status tested => verified
2017-03-24 15:53 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065938
2017-09-29 16:19 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker